Filesystem Functions
chgrp
Filesystem Functions
PHP Manual

# basename

Returns trailing name component of path

### Description

string basename ( string `$path` [, string `$suffix` ] )

Given a string containing the path to a file or directory, this function will return the trailing name component.

### Parameters

`path`

  A path.

  On Windows, both slash (/) and backslash (\) are used as directory separator character. In other environments, it is the forward slash (/).

`suffix`

  If the name component ends in `suffix` this will also be cut off.

### Return Values

Returns the base name of the given `path`.

### Changelog

Version | Description
--- | ---
4.1.0 | The `suffix` parameter was added

### Examples

Example #1 basename example

`<?php
echo "1) ".basename("/etc/sudoers.d", ".d").PHP_EOL;
echo "2) ".basename("/etc/passwd").PHP_EOL;
echo "3) ".basename("/etc/").PHP_EOL;
echo "4) ".basename(".").PHP_EOL;
echo "5) ".basename("/");
?>`

The above example will output:

    1) sudoers
    2) passwd
    3) etc
    4) .
    5)

### Notes

> Note:

> basename operates naively on the input string, and is not aware of the actual filesystem, or path components such as "..".

> Note:

> basename is locale aware, so for it to see the correct basename with multibyte character paths, the matching locale must be set using the setlocale function.

### See Also

- dirname
- pathinfo